<p>hello works!</p>
<!-- Data Buinding -->
<!-- <p> {{name}} </p> -->

<!-- event Buinding -->
<!-- <input type="text" (input)="onSubmit($event)"><br>
{{result}} -->

<!-- TwoWay Buinding -->
<!-- <input type="text" [(ngModel)]="isEnter">
{{isEnter}} -->

<!-- ngIf -->
<!-- <div *ngIf = "users;then enterUser;else noUser">
    Hi
</div>
<ng-template #enterUser>
    <p> kindly Register</p>
   
</ng-template>
<ng-template #noUser>
   
</ng-template> -->

<!-- ngFor -->
<!-- <div *ngFor=" let letter of letters">
    {{letter.name}}
    {{letter.age}}
</div> -->

<!-- ngSwitch -->
 
<input type="number" [(ngModel)]="num" placeholder="enter the no">
<div [ngSwitch]="num">
    <div *ngSwitchCase="1">One</div>
    <div *ngSwitchCase="2">Two</div>
    <div *ngSwitchCase="3">Three</div>
    <div *ngSwitchCase="4">Four</div>
</div>



<!-- <div [ngSwitch] = "user.gender">
    <div class="femaleBox" *ngSwitchCase="'f'">
        {{user.name}}
    </div>
    <div class="maleBox" *ngSwitchCase="'m'">
        {{user.name}}
    </div>
</div> -->